#include <print>

int main()
{
    // short Variable mit Hex-Wert initialisieren und dezimal ausgeben
    short shortValue = 0x7fff;
    std::println("short-Wert 0x7fff ist in dezimal: {}", shortValue);

    // short Variable einer signed char-Variable zuweisen
    // erzeugt -1, da nur der niederwertige Anteil uebernommen
    // wird (0xFF gleich -1 in dezimal)
    signed char charValue = shortValue;

    // char Variable einer long Variable zuweisen
    // Hier erfolgt eine vorzeichenrichtige Erweiterung
    long longValue = charValue;

    // char und long Variable ausgeben
    std::println("charValue: {:d}", charValue);
    std::println("longValue: {}", longValue);
}
